/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.enums;

/**
 * This enum represents Item Type.
 */
public enum EnumItemType 
{
	/** byte value representing RQ Presentation Context Item */
	RQ_PRESENTATION_CONTEXT_ITEM((byte)0x0020),

	/** byte value representing AC Presentation Context Item */
	AC_PRESENTATION_CONTEXT_ITEM((byte)0x0021),

	/** byte value representing Application Context Item */
	APPLICATION_CONTEXT_ITEM((byte)0x0010),

	/** byte value representing RQ Abstract Syntax Item */
	RQ_ABSTRACT_SYNTAX_ITEM((byte)0x0030),

	/** byte value representing Transfer Syntax Item */
	TRANSFER_SYNTAX_ITEM((byte)0x0040),

	/** byte value representing user information Item */
	USER_INFORMATION_ITEM((byte)0x0050),

	/** byte value representing user info max length Item */
	USER_INFO_MAX_LENGTH_ITEM((byte)0x0051),

	/** byte value representing user info implementation class UID Item */
	USER_INFO_IMPL_CLASS_UID_ITEM((byte)0x0052),

	/** byte value representing user info implementation Version Name Item */
	USER_INFO_IMPL_VERSION_NAME_ITEM((byte)0x0055),

	/** byte value representing user info async operation window Item */
	USER_INFO_ASYNC_OPS_WINDOW_ITEM((byte)0x0053),

	/** byte value representing user info SCU/SCP role selection Item */
	USER_INFO_SCU_SCP_ROLE_SELECTION_ITEM((byte)0x0054),

	/** byte value representing SOP Class Extended Negotiation Item */
	SOP_CLASS_EXTENDED_NEGOTIATION_ITEM((byte)0x0056),

	/** byte value representing SOP Class Common Extended Negotiation Item */
	SOP_CLASS_COMMON_EXTENDED_NEGOTIATION_ITEM((byte)0x0057);

	private byte value;

	EnumItemType(byte bValue)
	{
		value = bValue;
	}

	/**
	 * This function returns the byte value of this enum.
	 * @return - returns byte value of Item Type.
	 */
	public byte getValue()
	{
		return value;
	}
}
